# -*- coding: utf-8 -*-
from django.conf import settings
from django.utils.translation import ugettext as _
from django.contrib import admin

from jmb.core.admin.options import ExtendibleModelAdmin

from jmb.vat.models import Vat

class VatAdmin(ExtendibleModelAdmin):
    fieldsets = (
        (_('logs admin'), {
            'fields':('creator', 'date_create','last_modifier', 'date_last_modify',),
            'classes': ('collapse',)
        }),
        (_('general information'), {'fields': ('status',('name', 'slug',), 'code','description',),}),
        (_('aliq admin'), {'fields': ('aliquot_perc','deduct_perc',),}),
        )
    search_fields = ('name','code')
    list_display = (
        'get_status_icon', 'name', 'slug', 'code', 'aliquot_perc', 'deduct_perc',
        'get_edit_icon', 'get_delete_icon'
    )
    prepopulated_fields = {"slug": ("name",)}

admin.site.register(Vat, VatAdmin)